org.sunflow.system

## Class UI

- java.lang.Object
- - org.sunflow.system.UI

    public final class UI
    extends java.lang.Object

Static singleton interface to a UserInterface object. This is set to a text console by default.

### Nested Class Summary

Nested Classes
`static class` `UI.Module`
`static class` `UI.PrintLevel`

### Method Summary

Methods
`static java.lang.String` `formatOutput(UI.Module m, UI.PrintLevel level, java.lang.String s)`
`static void` `printDetailed(UI.Module m, java.lang.String s, java.lang.Object... args)`
`static void` `printError(UI.Module m, java.lang.String s, java.lang.Object... args)`
`static void` `printInfo(UI.Module m, java.lang.String s, java.lang.Object... args)`
`static void` `printWarning(UI.Module m, java.lang.String s, java.lang.Object... args)`
`static void` `set(UserInterface ui)` Sets the active user interface implementation.
`static void` `taskCancel()` Cancel the currently active task.
`static boolean` `taskCanceled()` Check to see if the current task should be aborted.
`static void` `taskStart(java.lang.String s, int min, int max)`
`static void` `taskStop()`
`static void` `taskUpdate(int current)`
`static void` `verbosity(int verbosity)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### set

    public static final void set(UserInterface ui)

Sets the active user interface implementation. Passing `null` silences printing completely.

Parameters:
  `ui` - object to recieve all user interface calls

#### verbosity

    public static final void verbosity(int verbosity)

#### formatOutput

    public static final java.lang.String formatOutput(UI.Module m,
                                UI.PrintLevel level,
                                java.lang.String s)

#### printDetailed

    public static final void printDetailed(UI.Module m,
                     java.lang.String s,
                     java.lang.Object... args)

#### printInfo

    public static final void printInfo(UI.Module m,
                 java.lang.String s,
                 java.lang.Object... args)

#### printWarning

    public static final void printWarning(UI.Module m,
                    java.lang.String s,
                    java.lang.Object... args)

#### printError

    public static final void printError(UI.Module m,
                  java.lang.String s,
                  java.lang.Object... args)

#### taskStart

    public static final void taskStart(java.lang.String s,
                 int min,
                 int max)

#### taskUpdate

    public static final void taskUpdate(int current)

#### taskStop

    public static final void taskStop()

#### taskCancel

    public static final void taskCancel()

Cancel the currently active task. This forces the application to abort as soon as possible.

#### taskCanceled

    public static final boolean taskCanceled()

Check to see if the current task should be aborted.

Returns:
  `true` if the current task should be stopped, `false` otherwise